## orthanc-webviewer 2.2

=== CMakeLists.txt ===
# Orthanc - A Lightweight, RESTful DICOM Store
# Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
# Department, University Hospital of Liege, Belgium
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU Affero General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.


cmake_minimum_required(VERSION 2.8)

project(OrthancWebViewer)

set(ORTHANC_WEBVIEWER_VERSION "2.2")

# Parameters of the build
set(STATIC_BUILD OFF CACHE BOOL "Static build of the third-party libraries (necessary for Windows)")
SET(STANDALONE_BUILD ON CACHE BOOL "Standalone build (all the resources are embedded, necessary for releases)")
set(ALLOW_DOWNLOADS OFF CACHE BOOL "Allow CMake to download packages")

# Advanced parameters to fine-tune linking against system libraries
set(USE_SYSTEM_BOOST ON CACHE BOOL "Use the system version of Boost")
set(USE_SYSTEM_GDCM ON CACHE BOOL "Use the system version of Grassroot DICOM (GDCM)")
set(USE_SYSTEM_GOOGLE_TEST ON CACHE BOOL "Use the system version of Google Test")
set(USE_SYSTEM_JSONCPP ON CACHE BOOL "Use the system version of JsonCpp")
set(USE_SYSTEM_SQLITE ON CACHE BOOL "Use the system version of SQLite")
set(USE_SYSTEM_ORTHANC_SDK ON CACHE BOOL "Use the system version of the Orthanc plugin SDK")

# Distribution-specific settings
set(USE_GTEST_DEBIAN_SOURCE_PACKAGE OFF CACHE BOOL "Use the sources of Google Test shipped with libgtest-dev (Debian only)")
mark_as_advanced(USE_GTEST_DEBIAN_SOURCE_PACKAGE)

set(ORTHANC_ROOT ${CMAKE_SOURCE_DIR}/Orthanc)
include(CheckIncludeFiles)
include(CheckIncludeFileCXX)
include(CheckLibraryExists)
include(FindPythonInterp)
include(${CMAKE_SOURCE_DIR}/Orthanc/Resources/CMake/Compiler.cmake)
include(${CMAKE_SOURCE_DIR}/Orthanc/Resources/CMake/AutoGeneratedCode.cmake)
include(${CMAKE_SOURCE_DIR}/Orthanc/Resources/CMake/DownloadPackage.cmake)

include(${CMAKE_SOURCE_DIR}/Orthanc/Resources/CMake/BoostConfiguration.cmake)
include(${CMAKE_SOURCE_DIR}/Orthanc/Resources/CMake/GoogleTestConfiguration.cmake)
include(${CMAKE_SOURCE_DIR}/Orthanc/Resources/CMake/JsonCppConfiguration.cmake)
include(${CMAKE_SOURCE_DIR}/Orthanc/Resources/CMake/SQLiteConfiguration.cmake)

include(${CMAKE_SOURCE_DIR}/Resources/CMake/GdcmConfiguration.cmake)
include(${CMAKE_SOURCE_DIR}/Resources/CMake/JavaScriptLibraries.cmake)


# Check that the Orthanc SDK headers are available or download them
if (STATIC_BUILD OR NOT USE_SYSTEM_ORTHANC_SDK)
  include_directories(${ORTHANC_ROOT}/Sdk-0.9.5)
else ()
  CHECK_INCLUDE_FILE_CXX(orthanc/OrthancCPlugin.h HAVE_ORTHANC_H)
  if (NOT HAVE_ORTHANC_H)
    message(FATAL_ERROR "Please install the headers of the Orthanc plugins SDK")
  endif()
endif()


if (STANDALONE_BUILD)
  add_definitions(
    -DORTHANC_STANDALONE=1
    )
  set(EMBEDDED_RESOURCES
    WEB_VIEWER  ${CMAKE_SOURCE_DIR}/WebApplication
    )
else()
  add_definitions(
    -DORTHANC_STANDALONE=0
    -DWEB_VIEWER_PATH="${CMAKE_SOURCE_DIR}/WebApplication/"
    )
endif()

EmbedResources(
  ORTHANC_EXPLORER  ${CMAKE_SOURCE_DIR}/Resources/OrthancExplorer.js
  JAVASCRIPT_LIBS   ${JAVASCRIPT_LIBS_DIR}
  ${EMBEDDED_RESOURCES}
  )

add_definitions(
  -DORTHANC_SQLITE_STANDALONE=1
  )


if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux" OR
    ${CMAKE_SYSTEM_NAME} STREQUAL "kFreeBSD" OR
    ${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")
  link_libraries(rt)
elseif (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
  SET(CMAKE_CXX_STANDARD_LIBRARIES "${CMAKE_CXX_STANDARD_LIBRARIES} -lws2_32")

  execute_process(
    COMMAND 
    ${PYTHON_EXECUTABLE} ${ORTHANC_ROOT}/Resources/WindowsResources.py
    ${ORTHANC_WEBVIEWER_VERSION} "OrthancWebViewer" OrthancWebViewer.dll "Web viewer of medical images for Orthanc"
    ERROR_VARIABLE Failure
    OUTPUT_FILE ${AUTOGENERATED_DIR}/Version.rc
    )

  if (Failure)
    message(FATAL_ERROR "Error while computing the version information: ${Failure}")
  endif()

  list(APPEND AUTOGENERATED_SOURCES  ${AUTOGENERATED_DIR}/Version.rc)
endif()

if (APPLE)
  SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -framework CoreFoundation")
  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -framework CoreFoundation")
endif()

add_definitions(
  -DORTHANC_ENABLE_MD5=0
  -DORTHANC_ENABLE_BASE64=0
  -DORTHANC_ENABLE_LOGGING=0
  )

set(CORE_SOURCES
  ${BOOST_SOURCES}
  ${SQLITE_SOURCES}
  ${JSONCPP_SOURCES}

  # Sources inherited from Orthanc core
  ${CMAKE_SOURCE_DIR}/Orthanc/Core/ChunkedBuffer.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Core/Enumerations.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Core/FileStorage/FilesystemStorage.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Core/Images/ImageAccessor.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Core/Images/ImageBuffer.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Core/Images/ImageProcessing.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Core/MultiThreading/SharedMessageQueue.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Core/SQLite/Connection.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Core/SQLite/FunctionContext.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Core/SQLite/Statement.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Core/SQLite/StatementId.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Core/SQLite/StatementReference.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Core/SQLite/Transaction.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Core/Toolbox.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Core/Uuid.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Core/DicomFormat/DicomMap.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Core/DicomFormat/DicomTag.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Core/DicomFormat/DicomValue.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Resources/ThirdParty/base64/base64.cpp

  ${CMAKE_SOURCE_DIR}/Plugin/Cache/CacheManager.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/Cache/CacheScheduler.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/ViewerToolbox.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/ViewerPrefetchPolicy.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/SeriesInformationAdapter.cpp
  )

add_library(OrthancWebViewer
  SHARED
  ${CORE_SOURCES}
  ${AUTOGENERATED_SOURCES}
  ${CMAKE_SOURCE_DIR}/Plugin/Plugin.cpp

  # The following files depend on GDCM
  ${CMAKE_SOURCE_DIR}/Plugin/DecodedImageAdapter.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Plugins/Samples/GdcmDecoder/GdcmImageDecoder.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Plugins/Samples/GdcmDecoder/GdcmDecoderCache.cpp
  ${CMAKE_SOURCE_DIR}/Orthanc/Plugins/Samples/GdcmDecoder/OrthancImageWrapper.cpp
  )


if (STATIC_BUILD OR NOT USE_SYSTEM_GDCM)
  add_dependencies(OrthancWebViewer GDCM)
endif()

target_link_libraries(OrthancWebViewer ${GDCM_LIBRARIES})

message("Setting the version of the library to ${ORTHANC_WEBVIEWER_VERSION}")

add_definitions(-DORTHANC_WEBVIEWER_VERSION="${ORTHANC_WEBVIEWER_VERSION}")

set_target_properties(OrthancWebViewer PROPERTIES 
  VERSION ${ORTHANC_WEBVIEWER_VERSION} 
  SOVERSION ${ORTHANC_WEBVIEWER_VERSION})

install(
  TARGETS OrthancWebViewer
  RUNTIME DESTINATION lib    # Destination for Windows
  LIBRARY DESTINATION share/orthanc/plugins    # Destination for Linux
  )

add_executable(UnitTests
  ${CORE_SOURCES}
  ${GTEST_SOURCES}
  ${JSONCPP_SOURCES}
  UnitTestsSources/UnitTestsMain.cpp
  )

## orthanc-webviewer 2.1

=== debian/changelog ===
orthanc-webviewer (2.1-1) unstable; urgency=medium

  * New upstream version.
  * Upgrade Cornerstone version: 0.7.1 to 0.8.4

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 10 Dec 2015 15:01:19 +0100

orthanc-webviewer (2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 04 Dec 2015 17:13:12 +0100

orthanc-webviewer (1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 03 Aug 2015 09:49:56 +0200

orthanc-webviewer (1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #779325)
  * Fix of debian/copyright.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 03 Jul 2015 13:42:36 +0200

=== debian/control ===
Source: orthanc-webviewer
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Standards-Version: 3.9.6
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               libboost-all-dev,
               libgdcm2-dev,
               libgtest-dev (>= 1.6.0),
               libjpeg-dev,
               libjs-jquery-ui,
               libjs-jquery-ui-theme-base,
               libjsoncpp-dev,
               libpng-dev,
               libsqlite3-dev,
               orthanc-dev (>= 0.9.5),
               unzip,
               uuid-dev,
               yui-compressor,
               zlib1g-dev
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/orthanc-webviewer/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/orthanc-webviewer/trunk/
Homepage: http://www.orthanc-server.com/static.php?page=web-viewer

Package: orthanc-webviewer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, orthanc (>= 0.9.5)
Description: Web viewer of medical images for Orthanc
 Orthanc Web Viewer is a plugin to Orthanc, a lightweight, RESTful Vendor
 Neutral Archive for medical imaging. It extends Orthanc with an integrated
 Web viewer of DICOM images.

=== debian/rules ===
#!/usr/bin/make -f

export JAVASCRIPT_LIBS := Build/javascript-libs
export DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
export UPSTREAM_VERSION := $(shell echo "$(DEBIAN_VERSION)" | cut -d '-' -f 1)
export TARGET := libOrthancWebViewer.so

%:
	dh $@ --parallel --builddirectory=Build

CMAKE_EXTRA_FLAGS += \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DSTATIC_BUILD:BOOL=OFF \
	-DSTANDALONE_BUILD:BOOL=ON \
        -DUSE_GTEST_DEBIAN_SOURCE_PACKAGE:BOOL=ON \
	-DCMAKE_BUILD_TYPE=""   # The build type must be left empty, see #711515

override_dh_auto_configure:
	mkdir -p ${JAVASCRIPT_LIBS}/fonts
	mkdir -p ${JAVASCRIPT_LIBS}/images

        # Place the jquery and jquery-ui libraries from Debian
	cp /usr/share/javascript/jquery/jquery.min.js ${JAVASCRIPT_LIBS}/jquery.js
	cp /usr/share/javascript/jquery-ui/jquery-ui.min.js ${JAVASCRIPT_LIBS}
	cp /usr/share/javascript/jquery-ui-themes/base/jquery-ui.min.css ${JAVASCRIPT_LIBS}
	cp /usr/share/javascript/jquery-ui-themes/base/images/* ${JAVASCRIPT_LIBS}/images
	touch  ${JAVASCRIPT_LIBS}/jquery-ui.theme.min.css

        # Place the third-party JavaScript libraries at the location
        # expected by CMake
	yui-compressor debian/JS/cornerstone-0.8.4/cornerstone.js > \
		${JAVASCRIPT_LIBS}/cornerstone.min.js
	yui-compressor debian/JS/cornerstone-0.8.4/cornerstone.css > \
		${JAVASCRIPT_LIBS}/cornerstone.min.css

	yui-compressor debian/JS/jsPanel-2.3.3/jquery.jspanel.js > \
		${JAVASCRIPT_LIBS}/jquery.jspanel.min.js
	yui-compressor debian/JS/jsPanel-2.3.3/jquery.jspanel.css > \
		${JAVASCRIPT_LIBS}/jquery.jspanel.min.css
	yui-compressor debian/JS/jsPanel-2.3.3/jquery.ui.touch-punch.js > \
		${JAVASCRIPT_LIBS}/jquery.ui.touch-punch.min.js
	yui-compressor debian/JS/jsPanel-2.3.3/mobile-detect.js > \
		${JAVASCRIPT_LIBS}/mobile-detect.min.js
	cp debian/JS/jsPanel-2.3.3/images/* ${JAVASCRIPT_LIBS}/images/
	cp debian/JS/jsPanel-2.3.3/fonts/* ${JAVASCRIPT_LIBS}/fonts/

	yui-compressor debian/JS/js-url-1.8.6/url.js > \
		${JAVASCRIPT_LIBS}/url.min.js

	yui-compressor debian/JS/pako-0.2.5/pako_inflate.js > \
		${JAVASCRIPT_LIBS}/pako_inflate.min.js

        # Launch the original CMake script
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_test:
	( cd Build; ./UnitTests )

override_dh_auto_install:
	cp Build/${TARGET} Build/${TARGET}.${UPSTREAM_VERSION}
	dh_install Build/${TARGET}.${UPSTREAM_VERSION} usr/lib

override_dh_link:
	dh_link usr/lib/${TARGET}.${UPSTREAM_VERSION} usr/share/orthanc/plugins/${TARGET}

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

## orthanc-webviewer 2.2

=== debian/changelog ===
orthanc-webviewer (2.2-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 28 Jun 2016 15:20:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: cmake (>= 2.8),
                debhelper (>= 9),
                libboost-all-dev,
@@ -21,7 +21,7 @@
                uuid-dev,
                yui-compressor,
                zlib1g-dev
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/orthanc-webviewer/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/orthanc-webviewer/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/orthanc-webviewer/trunk/
 Homepage: http://www.orthanc-server.com/static.php?page=web-viewer

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 export DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
 export UPSTREAM_VERSION := $(shell echo "$(DEBIAN_VERSION)" | cut -d '-' -f 1)
 export TARGET := libOrthancWebViewer.so
+
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
 %:
 	dh $@ --parallel --builddirectory=Build

=== debian/watch ===
version=3
opts="downloadurlmangle=s/\/browse\.php\?path=//g" \
http://www.orthanc-server.com/browse.php?path=/plugin-webviewer downloads/get\.php\?path=/plugin-webviewer/OrthancWebViewer-(\d\S*)\.tar\.gz

## orthanc-webviewer 2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # Orthanc - A Lightweight, RESTful DICOM Store
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
+# Copyright (C) 2017 Osimis, Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -20,7 +21,7 @@
 
 project(OrthancWebViewer)
 
-set(ORTHANC_WEBVIEWER_VERSION "2.2")
+set(ORTHANC_WEBVIEWER_VERSION "2.3")
 
 # Parameters of the build
 set(STATIC_BUILD OFF CACHE BOOL "Static build of the third-party libraries (necessary for Windows)")
@@ -40,6 +41,7 @@
 mark_as_advanced(USE_GTEST_DEBIAN_SOURCE_PACKAGE)
 
 set(ORTHANC_ROOT ${CMAKE_SOURCE_DIR}/Orthanc)
+set(ORTHANC_DISABLE_PATCH ON)  # No need for the "patch" command-line tool
 include(CheckIncludeFiles)
 include(CheckIncludeFileCXX)
 include(CheckLibraryExists)
@@ -57,7 +59,7 @@
 include(${CMAKE_SOURCE_DIR}/Resources/CMake/JavaScriptLibraries.cmake)
 
 
-# Check that the Orthanc SDK headers are available or download them
+# Check that the Orthanc SDK headers are available
 if (STATIC_BUILD OR NOT USE_SYSTEM_ORTHANC_SDK)
   include_directories(${ORTHANC_ROOT}/Sdk-0.9.5)
 else ()
@@ -89,6 +91,7 @@
   )
 
 add_definitions(
+  -DORTHANC_ENABLE_PUGIXML=0
   -DORTHANC_SQLITE_STANDALONE=1
   )
 
@@ -124,6 +127,7 @@
   -DORTHANC_ENABLE_MD5=0
   -DORTHANC_ENABLE_BASE64=0
   -DORTHANC_ENABLE_LOGGING=0
+  -DORTHANC_SANDBOXED=0
   )
 
 set(CORE_SOURCES
@@ -145,8 +149,8 @@
   ${CMAKE_SOURCE_DIR}/Orthanc/Core/SQLite/StatementId.cpp
   ${CMAKE_SOURCE_DIR}/Orthanc/Core/SQLite/StatementReference.cpp
   ${CMAKE_SOURCE_DIR}/Orthanc/Core/SQLite/Transaction.cpp
+  ${CMAKE_SOURCE_DIR}/Orthanc/Core/SystemToolbox.cpp
   ${CMAKE_SOURCE_DIR}/Orthanc/Core/Toolbox.cpp
-  ${CMAKE_SOURCE_DIR}/Orthanc/Core/Uuid.cpp
   ${CMAKE_SOURCE_DIR}/Orthanc/Core/DicomFormat/DicomMap.cpp
   ${CMAKE_SOURCE_DIR}/Orthanc/Core/DicomFormat/DicomTag.cpp
   ${CMAKE_SOURCE_DIR}/Orthanc/Core/DicomFormat/DicomValue.cpp

=== debian/changelog ===
orthanc-webviewer (2.3-2) unstable; urgency=medium

  * Team upload
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * Standards-Version: 4.1.1
  * debhelper 10
  * Remove myself from Uploaders
  * d/watch: use https

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2017 15:46:09 +0100

orthanc-webviewer (2.3-1) unstable; urgency=medium

  * New upstream version.
  * Fix the configuration button that did not work in previous releases
    due to an incompatibility in the version of jquery-ui.
  * Upgrade Cornerstone version: 0.8.4 to 0.11.0.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 20 Jul 2017 12:42:34 +0200

orthanc-webviewer (2.2-3) unstable; urgency=medium

  * Fix FTBFS with libsqlite3-dev >= 3.19.0. Closes: #867789

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 10 Jul 2017 11:57:21 +0200

orthanc-webviewer (2.2-2) unstable; urgency=medium

  [ Tiago Sturmer Daitx <tiago.daitx@canonical.com> ]
  * Fix linking of libraries. Closes: #857355

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 17 Mar 2017 16:47:23 +0100

=== debian/control ===
Source: orthanc-webviewer
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 10),
               libboost-all-dev,
               libgdcm2-dev,
               libgtest-dev,
               libjpeg-dev,
               libjs-jquery-ui,
               libjs-jquery-ui-theme-base,
               libjsoncpp-dev,
               libpng-dev,
               libsqlite3-dev,
               orthanc-dev,
               unzip,
               uuid-dev,
               yui-compressor,
               zlib1g-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/orthanc-webviewer.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/orthanc-webviewer.git
Homepage: http://www.orthanc-server.com/static.php?page=web-viewer

Package: orthanc-webviewer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         orthanc (>= 0.9.5)
Description: Web viewer of medical images for Orthanc
 Orthanc Web Viewer is a plugin to Orthanc, a lightweight, RESTful Vendor
 Neutral Archive for medical imaging. It extends Orthanc with an integrated
 Web viewer of DICOM images.

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,15 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/pkg-info.mk   # To access the "DEB_VERSION" variable
+
 export JAVASCRIPT_LIBS := Build/javascript-libs
-export DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
-export UPSTREAM_VERSION := $(shell echo "$(DEBIAN_VERSION)" | cut -d '-' -f 1)
+export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '-' -f 1)
 export TARGET := libOrthancWebViewer.so
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
 %:
-	dh $@ --parallel --builddirectory=Build
+	dh $@ --builddirectory=Build
 
 CMAKE_EXTRA_FLAGS += \
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
@@ -18,22 +19,31 @@
 	-DCMAKE_BUILD_TYPE=""   # The build type must be left empty, see #711515
 
 override_dh_auto_configure:
+        # Place the third-party JavaScript libraries at the location
+        # expected by CMake
 	mkdir -p ${JAVASCRIPT_LIBS}/fonts
 	mkdir -p ${JAVASCRIPT_LIBS}/images
 
-        # Place the jquery and jquery-ui libraries from Debian
+        # Use the jquery library from Debian
 	cp /usr/share/javascript/jquery/jquery.min.js ${JAVASCRIPT_LIBS}/jquery.js
-	cp /usr/share/javascript/jquery-ui/jquery-ui.min.js ${JAVASCRIPT_LIBS}
-	cp /usr/share/javascript/jquery-ui-themes/base/jquery-ui.min.css ${JAVASCRIPT_LIBS}
-	cp /usr/share/javascript/jquery-ui-themes/base/images/* ${JAVASCRIPT_LIBS}/images
-	touch  ${JAVASCRIPT_LIBS}/jquery-ui.theme.min.css
 
-        # Place the third-party JavaScript libraries at the location
-        # expected by CMake
-	yui-compressor debian/JS/cornerstone-0.8.4/cornerstone.js > \
+        # The jsPanel-2.3.3 toolbox used in the Orthanc Web viewer is
+        # not compatible with the version of the "jquery-ui" package
+        # shipped with Debian. We need to force the version of jquery-ui.
+	yui-compressor debian/JS/jquery-ui-1.11.3/jquery-ui.js > \
+		${JAVASCRIPT_LIBS}/jquery-ui.min.js
+	yui-compressor debian/JS/jquery-ui-1.11.3/jquery-ui.css > \
+		${JAVASCRIPT_LIBS}/jquery-ui.min.css
+	yui-compressor debian/JS/jquery-ui-1.11.3/jquery-ui.theme.css > \
+		${JAVASCRIPT_LIBS}/jquery-ui.theme.min.css
+	cp debian/JS/jquery-ui-1.11.3/images/* ${JAVASCRIPT_LIBS}/images
+
+        # Note: We don't minify the Cornerstone library, as the
+        # version of yui-compressor shipped by Debian Sid crashes on it
+	cp debian/JS/cornerstone-0.11.0/cornerstone.js \
 		${JAVASCRIPT_LIBS}/cornerstone.min.js
-	yui-compressor debian/JS/cornerstone-0.8.4/cornerstone.css > \
-		${JAVASCRIPT_LIBS}/cornerstone.min.css
+	cp debian/JS/cornerstone-0.11.0/cornerstone.css \
+		${JAVASCRIPT_LIBS}/cornerstone.css
 
 	yui-compressor debian/JS/jsPanel-2.3.3/jquery.jspanel.js > \
 		${JAVASCRIPT_LIBS}/jquery.jspanel.min.js

=== debian/watch ===
version=3
opts="downloadurlmangle=s/\/browse\.php\?path=//g" \
https://www.orthanc-server.com/browse.php?path=/plugin-webviewer downloads/get\.php\?path=/plugin-webviewer/OrthancWebViewer-(\d\S*)\.tar\.gz

## orthanc-webviewer 2.4

=== CMakeLists.txt ===
# Orthanc - A Lightweight, RESTful DICOM Store
# Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
# Department, University Hospital of Liege, Belgium
# Copyright (C) 2017-2018 Osimis S.A., Belgium
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU Affero General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.


cmake_minimum_required(VERSION 2.8)

project(OrthancWebViewer)

set(ORTHANC_WEBVIEWER_VERSION "2.4")

if (ORTHANC_WEBVIEWER_VERSION STREQUAL "mainline")
  set(ORTHANC_FRAMEWORK_VERSION "mainline")
  set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
else()
  set(ORTHANC_FRAMEWORK_VERSION "1.3.2")
  set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
endif()


# Parameters of the build
set(STATIC_BUILD OFF CACHE BOOL "Static build of the third-party libraries (necessary for Windows)")
set(STANDALONE_BUILD ON CACHE BOOL "Standalone build (all the resources are embedded, necessary for releases)")
set(ALLOW_DOWNLOADS OFF CACHE BOOL "Allow CMake to download packages")
set(ORTHANC_FRAMEWORK_SOURCE "${ORTHANC_FRAMEWORK_DEFAULT_SOURCE}" CACHE STRING "Source of the Orthanc source code (can be \"hg\", \"archive\", \"web\" or \"path\")")
set(ORTHANC_FRAMEWORK_ARCHIVE "" CACHE STRING "Path to the Orthanc archive, if ORTHANC_FRAMEWORK_SOURCE is \"archive\"")
set(ORTHANC_FRAMEWORK_ROOT "" CACHE STRING "Path to the Orthanc source directory, if ORTHANC_FRAMEWORK_SOURCE is \"path\"")

# Advanced parameters to fine-tune linking against system libraries
set(USE_SYSTEM_GDCM ON CACHE BOOL "Use the system version of Grassroot DICOM (GDCM)")
set(USE_SYSTEM_ORTHANC_SDK ON CACHE BOOL "Use the system version of the Orthanc plugin SDK")


# Download and setup the Orthanc framework
include(${CMAKE_SOURCE_DIR}/Resources/Orthanc/DownloadOrthancFramework.cmake)

set(ORTHANC_FRAMEWORK_PLUGIN ON)
include(${ORTHANC_ROOT}/Resources/CMake/OrthancFrameworkParameters.cmake)

set(ENABLE_LOCALE OFF)         # Disable support for locales (notably in Boost)
set(ENABLE_GOOGLE_TEST ON)
set(ENABLE_SQLITE ON)

include(${ORTHANC_ROOT}/Resources/CMake/OrthancFrameworkConfiguration.cmake)
include_directories(${ORTHANC_ROOT})


include(${CMAKE_SOURCE_DIR}/Resources/CMake/GdcmConfiguration.cmake)
include(${CMAKE_SOURCE_DIR}/Resources/CMake/JavaScriptLibraries.cmake)


# Check that the Orthanc SDK headers are available
if (STATIC_BUILD OR NOT USE_SYSTEM_ORTHANC_SDK)
  include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-0.9.5)
else ()
  CHECK_INCLUDE_FILE_CXX(orthanc/OrthancCPlugin.h HAVE_ORTHANC_H)
  if (NOT HAVE_ORTHANC_H)
    message(FATAL_ERROR "Please install the headers of the Orthanc plugins SDK")
  endif()
endif()


if (STANDALONE_BUILD)
  add_definitions(
    -DORTHANC_STANDALONE=1
    )
  set(EMBEDDED_RESOURCES
    WEB_VIEWER  ${CMAKE_SOURCE_DIR}/WebApplication
    )
else()
  add_definitions(
    -DORTHANC_STANDALONE=0
    -DWEB_VIEWER_PATH="${CMAKE_SOURCE_DIR}/WebApplication/"
    )
endif()

EmbedResources(
  ORTHANC_EXPLORER  ${CMAKE_SOURCE_DIR}/Resources/OrthancExplorer.js
  JAVASCRIPT_LIBS   ${JAVASCRIPT_LIBS_DIR}
  ${EMBEDDED_RESOURCES}
  )

if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux" OR
    ${CMAKE_SYSTEM_NAME} STREQUAL "kFreeBSD" OR
    ${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")
  link_libraries(rt)
elseif (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
  SET(CMAKE_CXX_STANDARD_LIBRARIES "${CMAKE_CXX_STANDARD_LIBRARIES} -lws2_32")

  execute_process(
    COMMAND 
    ${PYTHON_EXECUTABLE} ${ORTHANC_ROOT}/Resources/WindowsResources.py
    ${ORTHANC_WEBVIEWER_VERSION} "OrthancWebViewer" OrthancWebViewer.dll "Web viewer of medical images for Orthanc"
    ERROR_VARIABLE Failure
    OUTPUT_FILE ${AUTOGENERATED_DIR}/Version.rc
    )

  if (Failure)
    message(FATAL_ERROR "Error while computing the version information: ${Failure}")
  endif()

  list(APPEND AUTOGENERATED_SOURCES  ${AUTOGENERATED_DIR}/Version.rc)
endif()

if (APPLE)
  SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -framework CoreFoundation")
  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -framework CoreFoundation")
endif()


set(CORE_SOURCES
  ${CMAKE_SOURCE_DIR}/Plugin/Cache/CacheManager.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/Cache/CacheScheduler.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/ViewerToolbox.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/ViewerPrefetchPolicy.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/SeriesInformationAdapter.cpp
  
  ${ORTHANC_CORE_SOURCES}
  )

add_library(OrthancWebViewer
  SHARED
  ${CORE_SOURCES}
  ${AUTOGENERATED_SOURCES}
  ${CMAKE_SOURCE_DIR}/Plugin/Plugin.cpp

  # The following files depend on GDCM
  ${CMAKE_SOURCE_DIR}/Plugin/DecodedImageAdapter.cpp
  ${ORTHANC_ROOT}/Plugins/Samples/GdcmDecoder/GdcmImageDecoder.cpp
  ${ORTHANC_ROOT}/Plugins/Samples/GdcmDecoder/GdcmDecoderCache.cpp
  ${ORTHANC_ROOT}/Plugins/Samples/GdcmDecoder/OrthancImageWrapper.cpp
  )


if (STATIC_BUILD OR NOT USE_SYSTEM_GDCM)
  add_dependencies(OrthancWebViewer GDCM)
endif()

target_link_libraries(OrthancWebViewer ${GDCM_LIBRARIES})

message("Setting the version of the library to ${ORTHANC_WEBVIEWER_VERSION}")

add_definitions(-DORTHANC_WEBVIEWER_VERSION="${ORTHANC_WEBVIEWER_VERSION}")

set_target_properties(OrthancWebViewer PROPERTIES 
  VERSION ${ORTHANC_WEBVIEWER_VERSION} 
  SOVERSION ${ORTHANC_WEBVIEWER_VERSION})

install(
  TARGETS OrthancWebViewer
  RUNTIME DESTINATION lib    # Destination for Windows
  LIBRARY DESTINATION share/orthanc/plugins    # Destination for Linux
  )

add_executable(UnitTests
  ${CORE_SOURCES}
  ${GOOGLE_TEST_SOURCES}
  UnitTestsSources/UnitTestsMain.cpp
  )

target_link_libraries(UnitTests ${GOOGLE_TEST_LIBRARIES})

=== debian/changelog ===
orthanc-webviewer (2.4-2build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:50:21 +0000

orthanc-webviewer (2.4-2) unstable; urgency=medium

  * Set -DNDEBUG to disable assertion checking

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 27 Apr 2018 13:48:22 +0200

orthanc-webviewer (2.4-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 24 Apr 2018 11:06:43 +0200

=== debian/control ===
--- 
+++ 
@@ -19,10 +19,10 @@
                uuid-dev,
                yui-compressor,
                zlib1g-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/orthanc-webviewer.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/orthanc-webviewer.git
-Homepage: http://www.orthanc-server.com/static.php?page=web-viewer
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/orthanc-webviewer
+Vcs-Git: https://salsa.debian.org/med-team/orthanc-webviewer.git
+Homepage: https://www.orthanc-server.com/static.php?page=web-viewer
 
 Package: orthanc-webviewer
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,11 @@
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
+# Disable assert() checking from upstream project, for best performance
+# https://lists.debian.org/debian-med/2018/04/msg00132.html
+export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
+export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+
 %:
 	dh $@ --builddirectory=Build
 
@@ -15,10 +20,14 @@
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DSTATIC_BUILD:BOOL=OFF \
 	-DSTANDALONE_BUILD:BOOL=ON \
-        -DUSE_GTEST_DEBIAN_SOURCE_PACKAGE:BOOL=ON \
-	-DCMAKE_BUILD_TYPE=""   # The build type must be left empty, see #711515
+        -DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
+	-DCMAKE_BUILD_TYPE=None   # The build type must be set to None, see #711515
 
 override_dh_auto_configure:
+        # Put 3rd party packages where the cmake build system expects them
+	mkdir -p ThirdPartyDownloads
+	( cd ThirdPartyDownloads; cp ../debian/ThirdPartyDownloads/Orthanc-1.3.2.tar.gz . )
+
         # Place the third-party JavaScript libraries at the location
         # expected by CMake
 	mkdir -p ${JAVASCRIPT_LIBS}/fonts
@@ -68,6 +77,10 @@
 override_dh_auto_test:
 	( cd Build; ./UnitTests )
 
+override_dh_clean:
+	rm -rf ThirdPartyDownloads
+	dh_clean
+
 override_dh_auto_install:
 	cp Build/${TARGET} Build/${TARGET}.${UPSTREAM_VERSION}
 	dh_install Build/${TARGET}.${UPSTREAM_VERSION} usr/lib
@@ -77,6 +90,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k NEWS
-
-get-orig-source:
-	uscan --verbose --force-download --repack --compression xz

## orthanc-webviewer 2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Orthanc - A Lightweight, RESTful DICOM Store
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
-# Copyright (C) 2017-2018 Osimis S.A., Belgium
+# Copyright (C) 2017-2019 Osimis S.A., Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -21,13 +21,13 @@
 
 project(OrthancWebViewer)
 
-set(ORTHANC_WEBVIEWER_VERSION "2.4")
+set(ORTHANC_PLUGIN_VERSION "2.5")
 
-if (ORTHANC_WEBVIEWER_VERSION STREQUAL "mainline")
+if (ORTHANC_PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_VERSION "1.3.2")
+  set(ORTHANC_FRAMEWORK_VERSION "1.5.5")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -88,6 +88,10 @@
     )
 endif()
 
+add_definitions(
+  -DORTHANC_ENABLE_LOGGING_PLUGIN=1
+  )
+
 EmbedResources(
   ORTHANC_EXPLORER  ${CMAKE_SOURCE_DIR}/Resources/OrthancExplorer.js
   JAVASCRIPT_LIBS   ${JAVASCRIPT_LIBS_DIR}
@@ -104,7 +108,7 @@
   execute_process(
     COMMAND 
     ${PYTHON_EXECUTABLE} ${ORTHANC_ROOT}/Resources/WindowsResources.py
-    ${ORTHANC_WEBVIEWER_VERSION} "OrthancWebViewer" OrthancWebViewer.dll "Web viewer of medical images for Orthanc"
+    ${ORTHANC_PLUGIN_VERSION} "OrthancWebViewer" OrthancWebViewer.dll "Web viewer of medical images for Orthanc"
     ERROR_VARIABLE Failure
     OUTPUT_FILE ${AUTOGENERATED_DIR}/Version.rc
     )
@@ -152,13 +156,13 @@
 
 target_link_libraries(OrthancWebViewer ${GDCM_LIBRARIES})
 
-message("Setting the version of the library to ${ORTHANC_WEBVIEWER_VERSION}")
+message("Setting the version of the library to ${ORTHANC_PLUGIN_VERSION}")
 
-add_definitions(-DORTHANC_WEBVIEWER_VERSION="${ORTHANC_WEBVIEWER_VERSION}")
+add_definitions(-DORTHANC_PLUGIN_VERSION="${ORTHANC_PLUGIN_VERSION}")
 
 set_target_properties(OrthancWebViewer PROPERTIES 
-  VERSION ${ORTHANC_WEBVIEWER_VERSION} 
-  SOVERSION ${ORTHANC_WEBVIEWER_VERSION})
+  VERSION ${ORTHANC_PLUGIN_VERSION} 
+  SOVERSION ${ORTHANC_PLUGIN_VERSION})
 
 install(
   TARGETS OrthancWebViewer

=== debian/changelog ===
orthanc-webviewer (2.5-2ubuntu4) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2020 08:55:08 +0100

orthanc-webviewer (2.5-2ubuntu3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:22:30 +0100

orthanc-webviewer (2.5-2ubuntu2) focal; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 19:03:53 +0000

orthanc-webviewer (2.5-2ubuntu1) focal; urgency=medium

  * Use orthanc from the archive, rather than included copy of code.
  * Cherrypick ftbfs from bitbucket.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 06 Feb 2020 02:03:32 +0000

orthanc-webviewer (2.5-2build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 02 Feb 2020 20:24:09 +0100

orthanc-webviewer (2.5-2) unstable; urgency=medium

  * Fix FTBFS: linking with gdcm. Closes: #944722

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 14 Nov 2019 12:10:53 +0100

orthanc-webviewer (2.5-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 27 Feb 2019 21:21:24 +0100

orthanc-webviewer (2.4-3) unstable; urgency=medium

  * Updated d/upstream/metadata with new reference paper about Orthanc
  * Moved plugin binaries from "/usr/lib" to "/usr/lib/orthanc"

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 28 Jan 2019 14:15:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: orthanc-webviewer
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: cmake,
                debhelper (>= 10),
+               devscripts,
+               curl,
                libboost-all-dev,
-               libgdcm2-dev,
+               libgdcm-dev,
                libgtest-dev,
                libjpeg-dev,
                libjs-jquery-ui,
@@ -19,7 +22,7 @@
                uuid-dev,
                yui-compressor,
                zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1.1
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-webviewer
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-webviewer.git
 Homepage: https://www.orthanc-server.com/static.php?page=web-viewer

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,9 @@
 export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
 
+MIRROR=$(shell sed -n 's|.* \(http://[a-z./]*\) .*|\1|p' /etc/apt/sources.list | head -n1)
+FILENAME=$(shell apt-cache show orthanc | grep Filename | cut -d\  -f2 | head -n1 | sed 's|_[a-z0-9]*.deb|.dsc|')
+
 %:
 	dh $@ --builddirectory=Build
 
@@ -20,13 +23,16 @@
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DSTATIC_BUILD:BOOL=OFF \
 	-DSTANDALONE_BUILD:BOOL=ON \
+	-DORTHANC_FRAMEWORK_SOURCE=path \
+	-DORTHANC_FRAMEWORK_ROOT=$(CURDIR)/ThirdPartyDownloads/orthanc \
         -DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
 	-DCMAKE_BUILD_TYPE=None   # The build type must be set to None, see #711515
 
 override_dh_auto_configure:
         # Put 3rd party packages where the cmake build system expects them
 	mkdir -p ThirdPartyDownloads
-	( cd ThirdPartyDownloads; cp ../debian/ThirdPartyDownloads/Orthanc-1.3.2.tar.gz . )
+	( cd ThirdPartyDownloads ; \
+	apt-get source orthanc || HOME=$(CURDIR)/ThirdPartyDownloads dget --allow-unauthenticated $(MIRROR)/$(FILENAME) ; mv orthanc-* orthanc )
 
         # Place the third-party JavaScript libraries at the location
         # expected by CMake
@@ -75,18 +81,19 @@
 	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	( cd Build; ./UnitTests )
+endif
 
 override_dh_clean:
 	rm -rf ThirdPartyDownloads
 	dh_clean
 
 override_dh_auto_install:
-	cp Build/${TARGET} Build/${TARGET}.${UPSTREAM_VERSION}
-	dh_install Build/${TARGET}.${UPSTREAM_VERSION} usr/lib
+	dh_install Build/${TARGET}.${UPSTREAM_VERSION} usr/lib/orthanc
 
 override_dh_link:
-	dh_link usr/lib/${TARGET}.${UPSTREAM_VERSION} usr/share/orthanc/plugins/${TARGET}
+	dh_link usr/lib/orthanc/${TARGET}.${UPSTREAM_VERSION} usr/share/orthanc/plugins/${TARGET}
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k NEWS

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,downloadurlmangle=s/\/browse\.php\?path=//g,repack,compression=xz" \
https://www.orthanc-server.com/browse.php?path=/plugin-webviewer downloads/get\.php\?path=/plugin-webviewer/OrthancWebViewer-(\d\S*)\.tar\.gz

## orthanc-webviewer 2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Orthanc - A Lightweight, RESTful DICOM Store
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
-# Copyright (C) 2017-2019 Osimis S.A., Belgium
+# Copyright (C) 2017-2020 Osimis S.A., Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -21,13 +21,13 @@
 
 project(OrthancWebViewer)
 
-set(ORTHANC_PLUGIN_VERSION "2.5")
+set(ORTHANC_PLUGIN_VERSION "2.6")
 
 if (ORTHANC_PLUGIN_VERSION STREQUAL "mainline")
-  set(ORTHANC_FRAMEWORK_VERSION "mainline")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_VERSION "1.5.5")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.7.0")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -36,12 +36,12 @@
 set(STATIC_BUILD OFF CACHE BOOL "Static build of the third-party libraries (necessary for Windows)")
 set(STANDALONE_BUILD ON CACHE BOOL "Standalone build (all the resources are embedded, necessary for releases)")
 set(ALLOW_DOWNLOADS OFF CACHE BOOL "Allow CMake to download packages")
-set(ORTHANC_FRAMEWORK_SOURCE "${ORTHANC_FRAMEWORK_DEFAULT_SOURCE}" CACHE STRING "Source of the Orthanc source code (can be \"hg\", \"archive\", \"web\" or \"path\")")
+set(ORTHANC_FRAMEWORK_SOURCE "${ORTHANC_FRAMEWORK_DEFAULT_SOURCE}" CACHE STRING "Source of the Orthanc framework (can be \"hg\", \"archive\", \"web\" or \"path\")")
+set(ORTHANC_FRAMEWORK_VERSION "${ORTHANC_FRAMEWORK_DEFAULT_VERSION}" CACHE STRING "Version of the Orthanc framework")
 set(ORTHANC_FRAMEWORK_ARCHIVE "" CACHE STRING "Path to the Orthanc archive, if ORTHANC_FRAMEWORK_SOURCE is \"archive\"")
 set(ORTHANC_FRAMEWORK_ROOT "" CACHE STRING "Path to the Orthanc source directory, if ORTHANC_FRAMEWORK_SOURCE is \"path\"")
 
 # Advanced parameters to fine-tune linking against system libraries
-set(USE_SYSTEM_GDCM ON CACHE BOOL "Use the system version of Grassroot DICOM (GDCM)")
 set(USE_SYSTEM_ORTHANC_SDK ON CACHE BOOL "Use the system version of the Orthanc plugin SDK")
 
 
@@ -54,12 +54,13 @@
 set(ENABLE_LOCALE OFF)         # Disable support for locales (notably in Boost)
 set(ENABLE_GOOGLE_TEST ON)
 set(ENABLE_SQLITE ON)
+set(ENABLE_MODULE_JOBS OFF CACHE INTERNAL "")
+set(ENABLE_MODULE_DICOM OFF CACHE INTERNAL "")
 
 include(${ORTHANC_ROOT}/Resources/CMake/OrthancFrameworkConfiguration.cmake)
 include_directories(${ORTHANC_ROOT})
 
 
-include(${CMAKE_SOURCE_DIR}/Resources/CMake/GdcmConfiguration.cmake)
 include(${CMAKE_SOURCE_DIR}/Resources/CMake/JavaScriptLibraries.cmake)
 
 
@@ -90,6 +91,7 @@
 
 add_definitions(
   -DORTHANC_ENABLE_LOGGING_PLUGIN=1
+  -DHAS_ORTHANC_EXCEPTION=1
   )
 
 EmbedResources(
@@ -120,11 +122,6 @@
   list(APPEND AUTOGENERATED_SOURCES  ${AUTOGENERATED_DIR}/Version.rc)
 endif()
 
-if (APPLE)
-  SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -framework CoreFoundation")
-  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -framework CoreFoundation")
-endif()
-
 
 set(CORE_SOURCES
   ${CMAKE_SOURCE_DIR}/Plugin/Cache/CacheManager.cpp
@@ -138,23 +135,13 @@
 
 add_library(OrthancWebViewer
   SHARED
+  ${AUTOGENERATED_SOURCES}
+  ${CMAKE_SOURCE_DIR}/Plugin/DecodedImageAdapter.cpp
+  ${CMAKE_SOURCE_DIR}/Plugin/Plugin.cpp
   ${CORE_SOURCES}
-  ${AUTOGENERATED_SOURCES}
-  ${CMAKE_SOURCE_DIR}/Plugin/Plugin.cpp
-
-  # The following files depend on GDCM
-  ${CMAKE_SOURCE_DIR}/Plugin/DecodedImageAdapter.cpp
-  ${ORTHANC_ROOT}/Plugins/Samples/GdcmDecoder/GdcmImageDecoder.cpp
-  ${ORTHANC_ROOT}/Plugins/Samples/GdcmDecoder/GdcmDecoderCache.cpp
-  ${ORTHANC_ROOT}/Plugins/Samples/GdcmDecoder/OrthancImageWrapper.cpp
+  ${ORTHANC_ROOT}/Plugins/Samples/Common/OrthancPluginCppWrapper.cpp
   )
 
-
-if (STATIC_BUILD OR NOT USE_SYSTEM_GDCM)
-  add_dependencies(OrthancWebViewer GDCM)
-endif()
-
-target_link_libraries(OrthancWebViewer ${GDCM_LIBRARIES})
 
 message("Setting the version of the library to ${ORTHANC_PLUGIN_VERSION}")

=== debian/changelog ===
orthanc-webviewer (2.6-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 27 May 2020 16:06:23 +0200

=== debian/control ===
Source: orthanc-webviewer
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 10),
               libboost-all-dev,
               libgtest-dev,
               libjpeg-dev,
               libjs-jquery-ui,
               libjs-jquery-ui-theme-base,
               libjsoncpp-dev,
               libpng-dev,
               libsqlite3-dev,
               orthanc-dev (>= 0.9.5),
               unzip,
               uuid-dev,
               yui-compressor,
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/orthanc-webviewer
Vcs-Git: https://salsa.debian.org/med-team/orthanc-webviewer.git
Homepage: https://www.orthanc-server.com/static.php?page=web-viewer

Package: orthanc-webviewer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         orthanc (>= 1.7.1)
Description: Web viewer of medical images for Orthanc
 Orthanc Web Viewer is a plugin to Orthanc, a lightweight, RESTful Vendor
 Neutral Archive for medical imaging. It extends Orthanc with an integrated
 Web viewer of DICOM images.

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,6 @@
 export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
 
-MIRROR=$(shell sed -n 's|.* \(http://[a-z./]*\) .*|\1|p' /etc/apt/sources.list | head -n1)
-FILENAME=$(shell apt-cache show orthanc | grep Filename | cut -d\  -f2 | head -n1 | sed 's|_[a-z0-9]*.deb|.dsc|')
-
 %:
 	dh $@ --builddirectory=Build
 
@@ -23,16 +20,13 @@
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DSTATIC_BUILD:BOOL=OFF \
 	-DSTANDALONE_BUILD:BOOL=ON \
-	-DORTHANC_FRAMEWORK_SOURCE=path \
-	-DORTHANC_FRAMEWORK_ROOT=$(CURDIR)/ThirdPartyDownloads/orthanc \
         -DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
 	-DCMAKE_BUILD_TYPE=None   # The build type must be set to None, see #711515
 
 override_dh_auto_configure:
         # Put 3rd party packages where the cmake build system expects them
 	mkdir -p ThirdPartyDownloads
-	( cd ThirdPartyDownloads ; \
-	apt-get source orthanc || HOME=$(CURDIR)/ThirdPartyDownloads dget --allow-unauthenticated $(MIRROR)/$(FILENAME) ; mv orthanc-* orthanc )
+	( cd ThirdPartyDownloads; cp ../debian/ThirdPartyDownloads/Orthanc-1.7.0.tar.gz . )
 
         # Place the third-party JavaScript libraries at the location
         # expected by CMake
